SpyBara
Go Premium

Reference 2026-10-07 23:57 UTC to 2026-10-08 23:01 UTC

32 files changed +4,504 −966. View all changes and history on the product overview
2026
Fri 9 22:57 Thu 8 23:01 Wed 7 23:57 Tue 6 22:58 Mon 5 22:59 Sun 4 22:58 Sat 3 22:58 Fri 2 23:58 Thu 1 22:59
Details

30 30 

31 - `"gpt-4o-mini-tts-2025-12-15"`31 - `"gpt-4o-mini-tts-2025-12-15"`

32 32 

33- `voice: string or "alloy" or "ash" or "ballad" or 10 more or object { id }`33- `voice: string or "alloy" or "ash" or "ballad" or 10 more or ID { id }`

34 34 

35 The voice to use when generating the audio. Supported built-in voices are `alloy`, `ash`, `ballad`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage`, `shimmer`, `verse`, `marin`, and `cedar`. You may also provide a custom voice object with an `id`, for example `{ "id": "voice_1234" }`. Previews of the voices are available in the [Text to speech guide](/api/docs/guides/text-to-speech#voice-options). Custom voices must be created from audio samples. Voices created from text prompts are supported only in Live.35 The voice to use when generating the audio. Supported built-in voices are `alloy`, `ash`, `ballad`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage`, `shimmer`, `verse`, `marin`, and `cedar`. You may also provide a custom voice object with an `id`, for example `{ "id": "voice_1234" }`. Previews of the voices are available in the [Text to speech guide](/api/docs/guides/text-to-speech#voice-options). Custom voices must be created from audio samples.

36 36 

37 - `string`37 - `string`

38 38 

39 - `"alloy" or "ash" or "ballad" or 10 more`39 - `"alloy" or "ash" or "ballad" or 10 more`

40 40 

41 The voice to use when generating the audio. Supported built-in voices are `alloy`, `ash`, `ballad`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage`, `shimmer`, `verse`, `marin`, and `cedar`. You may also provide a custom voice object with an `id`, for example `{ "id": "voice_1234" }`. Previews of the voices are available in the [Text to speech guide](/api/docs/guides/text-to-speech#voice-options). Custom voices must be created from audio samples. Voices created from text prompts are supported only in Live.41 The voice to use when generating the audio. Supported built-in voices are `alloy`, `ash`, `ballad`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage`, `shimmer`, `verse`, `marin`, and `cedar`. You may also provide a custom voice object with an `id`, for example `{ "id": "voice_1234" }`. Previews of the voices are available in the [Text to speech guide](/api/docs/guides/text-to-speech#voice-options). Custom voices must be created from audio samples.

42 42 

43 - `"alloy"`43 - `"alloy"`

44 44 

Details

44 44 

45 The log probability of the token.45 The log probability of the token.

46 46 

47 - `usage: optional object { input_tokens, output_tokens, total_tokens, 2 more } or object { seconds, type }`47 - `usage: optional Tokens { input_tokens, output_tokens, total_tokens, 2 more } or Duration { seconds, type }`

48 48 

49 Token usage statistics for the request.49 Token usage statistics for the request.

50 50 


144 144 

145 The concatenated transcript text for the entire audio input.145 The concatenated transcript text for the entire audio input.

146 146 

147 - `usage: optional object { input_tokens, output_tokens, total_tokens, 2 more } or object { seconds, type }`147 - `usage: optional Tokens { input_tokens, output_tokens, total_tokens, 2 more } or Duration { seconds, type }`

148 148 

149 Token or duration usage statistics for the request.149 Token or duration usage statistics for the request.

150 150 

Details

4 4 

5**post** `/audio/voices`5**post** `/audio/voices`

6 6 

7Creates a voice from a text prompt or from a consent recording and an audio sample.7Create a custom voice you can use for audio output (for example, in Text-to-Speech and the Realtime API). This requires an audio sample and a previously uploaded consent recording.

8 8 

9For prompt-based creation, send `type: "prompt"` with a `name` and `prompt` as JSON or multipart form data. For creation from an audio sample, send `type: "audio_sample"` with a `name`, `audio_sample`, and `consent` recording ID as multipart form data. The type defaults to `audio_sample` when omitted.9Send `name`, `audio_sample`, and the `consent` recording ID as multipart form data. The optional `type` defaults to `audio_sample`.

10 10 

11Returns the saved voice's metadata. Voices created from text prompts are supported only in Live, not in Realtime or the speech endpoint. The response does not include preview audio.11Returns the saved voice's metadata. See the [custom voices guide](/api/docs/guides/text-to-speech#custom-voices) for requirements and best practices. Custom voices are limited to eligible customers.

12 

13### Body Parameters

14 

15- `name: string`

16 

17 The name of the new voice.

18 

19- `prompt: string`

20 

21 A description of the desired voice. Must not contain only whitespace.

22 

23- `type: "prompt"`

24 

25 Set to `prompt` to create a voice from a text description.

26 

27 - `"prompt"`

28 

29- `model: optional string or "auto" or "2026-10-01"`

30 

31 The voice creation model to use. Defaults to `auto`.

32 

33 - `string`

34 

35 - `"auto" or "2026-10-01"`

36 

37 The voice creation model to use. Defaults to `auto`.

38 

39 - `"auto"`

40 

41 - `"2026-10-01"`

42 

43- `script_hint: optional string`

44 

45 Optional text for the voice to speak during creation. If omitted, a script is generated from the prompt. Must not be blank after trimming whitespace; scripts that are too short are rejected.

46 12 

47### Returns13### Returns

48 14 

49- `Voice object { id, created_at, name, 2 more }`15- `Voice object { id, created_at, name, 2 more }`

50 16 

51 A custom voice that can be used for audio output. Voices created from text prompts are supported only in Live.17 A custom voice that can be used for audio output.

52 18 

53 - `id: string`19 - `id: string`

54 20 


68 34 

69 - `"audio.voice"`35 - `"audio.voice"`

70 36 

71 - `type: "audio_sample" or "prompt"`37 - `type: "audio_sample"`

72 38 

73 How the voice was created. Voices created from text prompts are supported only in Live.39 How the voice was created.

74 40 

75 - `"audio_sample"`41 - `"audio_sample"`

76 42 

77 - `"prompt"`

78 

79### Example43### Example

80 44 

81```http45```http

82curl https://api.openai.com/v1/audio/voices \46curl https://api.openai.com/v1/audio/voices \

83 -H 'Content-Type: application/json' \47 -H 'Content-Type: multipart/form-data' \

84 -H "Authorization: Bearer $OPENAI_API_KEY" \48 -H "Authorization: Bearer $OPENAI_API_KEY" \

85 -d '{49 -F 'audio_sample=@/path/to/audio_sample' \

86 "name": "x",50 -F consent=consent \

87 "prompt": "x",51 -F name=x

88 "type": "prompt"

89 }'

90```52```

91 53 

92#### Response54#### Response


107curl https://api.openai.com/v1/audio/voices \69curl https://api.openai.com/v1/audio/voices \

108 -X POST \70 -X POST \

109 -H "Authorization: Bearer $OPENAI_API_KEY" \71 -H "Authorization: Bearer $OPENAI_API_KEY" \

110 -H "Content-Type: application/json" \72 -F "name=My new voice" \

111 -d '{73 -F "consent=cons_1234" \

112 "type": "prompt",74 -F "audio_sample=@audio_sample.wav;type=audio/x-wav"

113 "name": "Warm narrator",

114 "prompt": "A warm, calm narrator with a clear, measured delivery.",

115 "model": "auto"

116 }'

117```75```

Details

806 806 

807 - `"agent.session"`807 - `"agent.session"`

808 808 

809 - `required_actions: array of object { request, request_id, turn_id, type } or object { arguments, call_id, name, 2 more } or object { environment_id, type }`809 - `required_actions: array of ComputerUseApprovalRequest { request, request_id, turn_id, type } or FunctionCall { arguments, call_id, name, 2 more } or EnvironmentConnection { environment_id, type }`

810 810 

811 Actions that must be completed before the session can continue.811 Actions that must be completed before the session can continue.

812 812 


814 814 

815 Respond to a computer-use request.815 Respond to a computer-use request.

816 816 

817 - `request: object { credential_origin, fields, options, 2 more } or object { origin, reason, type }`817 - `request: BrowserAuthentication { credential_origin, fields, options, 2 more } or BrowserOriginAccess { origin, reason, type }`

818 818 

819 The information needed to render the request.819 The information needed to render the request.

820 820 


1000 1000 

1001 The IDs of vaults made available to the session.1001 The IDs of vaults made available to the session.

1002 1002 

1003 - `spend_control: optional object { consumed, limit }`

1004 

1005 Configured spending limit and best-effort consumption, in USD cents. Unlimited sessions omit this object.

1006 

1007 - `consumed: number or null`

1008 

1009 Best-effort recorded spend floored to whole USD cents, or null when unavailable.

1010 

1011 - `limit: number`

1012 

1013 The configured positive limit in USD cents.

1014 

1003- `type: "agent.session.created"`1015- `type: "agent.session.created"`

1004 1016 

1005 The type of the object. Always `agent.session.created`.1017 The type of the object. Always `agent.session.created`.


1013 "type": "agent.session.created",1025 "type": "agent.session.created",

1014 "event_id": "event_id",1026 "event_id": "event_id",

1015 "session": {1027 "session": {

1028 "spend_control": {

1029 "limit": 1,

1030 "consumed": 0

1031 },

1016 "metadata": {1032 "metadata": {

1017 "foo": "string"1033 "foo": "string"

1018 },1034 },


2978 2994 

2979 The registered request answered by this item.2995 The registered request answered by this item.

2980 2996 

2981 - `response: object { action, selected_option, type } or object { action, type }`2997 - `response: Submit { action, selected_option, type } or Cancel { action, type }`

2982 2998 

2983 The admitted response, without submitted credential values.2999 The admitted response, without submitted credential values.

2984 3000 


4006 4022 

4007 - `"agent.session"`4023 - `"agent.session"`

4008 4024 

4009 - `required_actions: array of object { request, request_id, turn_id, type } or object { arguments, call_id, name, 2 more } or object { environment_id, type }`4025 - `required_actions: array of ComputerUseApprovalRequest { request, request_id, turn_id, type } or FunctionCall { arguments, call_id, name, 2 more } or EnvironmentConnection { environment_id, type }`

4010 4026 

4011 Actions that must be completed before the session can continue.4027 Actions that must be completed before the session can continue.

4012 4028 


4014 4030 

4015 Respond to a computer-use request.4031 Respond to a computer-use request.

4016 4032 

4017 - `request: object { credential_origin, fields, options, 2 more } or object { origin, reason, type }`4033 - `request: BrowserAuthentication { credential_origin, fields, options, 2 more } or BrowserOriginAccess { origin, reason, type }`

4018 4034 

4019 The information needed to render the request.4035 The information needed to render the request.

4020 4036 


4200 4216 

4201 The IDs of vaults made available to the session.4217 The IDs of vaults made available to the session.

4202 4218 

4219 - `spend_control: optional object { consumed, limit }`

4220 

4221 Configured spending limit and best-effort consumption, in USD cents. Unlimited sessions omit this object.

4222 

4223 - `consumed: number or null`

4224 

4225 Best-effort recorded spend floored to whole USD cents, or null when unavailable.

4226 

4227 - `limit: number`

4228 

4229 The configured positive limit in USD cents.

4230 

4203- `type: "agent.session.idle"`4231- `type: "agent.session.idle"`

4204 4232 

4205 The type of the object. Always `agent.session.idle`.4233 The type of the object. Always `agent.session.idle`.


4213 "type": "agent.session.idle",4241 "type": "agent.session.idle",

4214 "event_id": "event_id",4242 "event_id": "event_id",

4215 "session": {4243 "session": {

4244 "spend_control": {

4245 "limit": 1,

4246 "consumed": 0

4247 },

4216 "metadata": {4248 "metadata": {

4217 "foo": "string"4249 "foo": "string"

4218 },4250 },


4904 4936 

4905 - `"agent.session"`4937 - `"agent.session"`

4906 4938 

4907 - `required_actions: array of object { request, request_id, turn_id, type } or object { arguments, call_id, name, 2 more } or object { environment_id, type }`4939 - `required_actions: array of ComputerUseApprovalRequest { request, request_id, turn_id, type } or FunctionCall { arguments, call_id, name, 2 more } or EnvironmentConnection { environment_id, type }`

4908 4940 

4909 Actions that must be completed before the session can continue.4941 Actions that must be completed before the session can continue.

4910 4942 


4912 4944 

4913 Respond to a computer-use request.4945 Respond to a computer-use request.

4914 4946 

4915 - `request: object { credential_origin, fields, options, 2 more } or object { origin, reason, type }`4947 - `request: BrowserAuthentication { credential_origin, fields, options, 2 more } or BrowserOriginAccess { origin, reason, type }`

4916 4948 

4917 The information needed to render the request.4949 The information needed to render the request.

4918 4950 


5098 5130 

5099 The IDs of vaults made available to the session.5131 The IDs of vaults made available to the session.

5100 5132 

5133 - `spend_control: optional object { consumed, limit }`

5134 

5135 Configured spending limit and best-effort consumption, in USD cents. Unlimited sessions omit this object.

5136 

5137 - `consumed: number or null`

5138 

5139 Best-effort recorded spend floored to whole USD cents, or null when unavailable.

5140 

5141 - `limit: number`

5142 

5143 The configured positive limit in USD cents.

5144 

5101- `type: "agent.session.in_progress"`5145- `type: "agent.session.in_progress"`

5102 5146 

5103 The type of the object. Always `agent.session.in_progress`.5147 The type of the object. Always `agent.session.in_progress`.


5111 "type": "agent.session.in_progress",5155 "type": "agent.session.in_progress",

5112 "event_id": "event_id",5156 "event_id": "event_id",

5113 "session": {5157 "session": {

5158 "spend_control": {

5159 "limit": 1,

5160 "consumed": 0

5161 },

5114 "metadata": {5162 "metadata": {

5115 "foo": "string"5163 "foo": "string"

5116 },5164 },


5802 5850 

5803 - `"agent.session"`5851 - `"agent.session"`

5804 5852 

5805 - `required_actions: array of object { request, request_id, turn_id, type } or object { arguments, call_id, name, 2 more } or object { environment_id, type }`5853 - `required_actions: array of ComputerUseApprovalRequest { request, request_id, turn_id, type } or FunctionCall { arguments, call_id, name, 2 more } or EnvironmentConnection { environment_id, type }`

5806 5854 

5807 Actions that must be completed before the session can continue.5855 Actions that must be completed before the session can continue.

5808 5856 


5810 5858 

5811 Respond to a computer-use request.5859 Respond to a computer-use request.

5812 5860 

5813 - `request: object { credential_origin, fields, options, 2 more } or object { origin, reason, type }`5861 - `request: BrowserAuthentication { credential_origin, fields, options, 2 more } or BrowserOriginAccess { origin, reason, type }`

5814 5862 

5815 The information needed to render the request.5863 The information needed to render the request.

5816 5864 


5996 6044 

5997 The IDs of vaults made available to the session.6045 The IDs of vaults made available to the session.

5998 6046 

6047 - `spend_control: optional object { consumed, limit }`

6048 

6049 Configured spending limit and best-effort consumption, in USD cents. Unlimited sessions omit this object.

6050 

6051 - `consumed: number or null`

6052 

6053 Best-effort recorded spend floored to whole USD cents, or null when unavailable.

6054 

6055 - `limit: number`

6056 

6057 The configured positive limit in USD cents.

6058 

5999- `type: "agent.session.requires_action"`6059- `type: "agent.session.requires_action"`

6000 6060 

6001 The type of the object. Always `agent.session.requires_action`.6061 The type of the object. Always `agent.session.requires_action`.


6009 "type": "agent.session.requires_action",6069 "type": "agent.session.requires_action",

6010 "event_id": "event_id",6070 "event_id": "event_id",

6011 "session": {6071 "session": {

6072 "spend_control": {

6073 "limit": 1,

6074 "consumed": 0

6075 },

6012 "metadata": {6076 "metadata": {

6013 "foo": "string"6077 "foo": "string"

6014 },6078 },


6700 6764 

6701 - `"agent.session"`6765 - `"agent.session"`

6702 6766 

6703 - `required_actions: array of object { request, request_id, turn_id, type } or object { arguments, call_id, name, 2 more } or object { environment_id, type }`6767 - `required_actions: array of ComputerUseApprovalRequest { request, request_id, turn_id, type } or FunctionCall { arguments, call_id, name, 2 more } or EnvironmentConnection { environment_id, type }`

6704 6768 

6705 Actions that must be completed before the session can continue.6769 Actions that must be completed before the session can continue.

6706 6770 


6708 6772 

6709 Respond to a computer-use request.6773 Respond to a computer-use request.

6710 6774 

6711 - `request: object { credential_origin, fields, options, 2 more } or object { origin, reason, type }`6775 - `request: BrowserAuthentication { credential_origin, fields, options, 2 more } or BrowserOriginAccess { origin, reason, type }`

6712 6776 

6713 The information needed to render the request.6777 The information needed to render the request.

6714 6778 


6894 6958 

6895 The IDs of vaults made available to the session.6959 The IDs of vaults made available to the session.

6896 6960 

6961 - `spend_control: optional object { consumed, limit }`

6962 

6963 Configured spending limit and best-effort consumption, in USD cents. Unlimited sessions omit this object.

6964 

6965 - `consumed: number or null`

6966 

6967 Best-effort recorded spend floored to whole USD cents, or null when unavailable.

6968 

6969 - `limit: number`

6970 

6971 The configured positive limit in USD cents.

6972 

6897- `type: "agent.session.failed"`6973- `type: "agent.session.failed"`

6898 6974 

6899 The type of the object. Always `agent.session.failed`.6975 The type of the object. Always `agent.session.failed`.


6907 "type": "agent.session.failed",6983 "type": "agent.session.failed",

6908 "event_id": "event_id",6984 "event_id": "event_id",

6909 "session": {6985 "session": {

6986 "spend_control": {

6987 "limit": 1,

6988 "consumed": 0

6989 },

6910 "metadata": {6990 "metadata": {

6911 "foo": "string"6991 "foo": "string"

6912 },6992 },

Details

52 52 

53 - `"chatkit.thread"`53 - `"chatkit.thread"`

54 54 

55 - `status: object { type } or object { reason, type } or object { reason, type }`55 - `status: Active { type } or Locked { reason, type } or Closed { reason, type }`

56 56 

57 Current status for the thread. Defaults to `active` for newly created threads.57 Current status for the thread. Defaults to `active` for newly created threads.

58 58 

Details

78 78 

79 - `"file"`79 - `"file"`

80 80 

81 - `content: array of object { text, type } or object { text, type }`81 - `content: array of InputText { text, type } or QuotedText { text, type }`

82 82 

83 Ordered content elements supplied by the user.83 Ordered content elements supplied by the user.

84 84 


156 156 

157 Ordered assistant response segments.157 Ordered assistant response segments.

158 158 

159 - `annotations: array of object { source, type } or object { source, type }`159 - `annotations: array of File { source, type } or URL { source, type }`

160 160 

161 Ordered list of annotations attached to the response text.161 Ordered list of annotations attached to the response text.

162 162 

Details

30 30 

31 - `"chatkit.thread"`31 - `"chatkit.thread"`

32 32 

33 - `status: object { type } or object { reason, type } or object { reason, type }`33 - `status: Active { type } or Locked { reason, type } or Closed { reason, type }`

34 34 

35 Current status for the thread. Defaults to `active` for newly created threads.35 Current status for the thread. Defaults to `active` for newly created threads.

36 36 

Details

272 Moderation results for the request input and generated output, if moderated272 Moderation results for the request input and generated output, if moderated

273 completions were requested.273 completions were requested.

274 274 

275 - `input: object { model, results, type } or object { code, message, type }`275 - `input: ModerationResults { model, results, type } or Error { code, message, type }`

276 276 

277 Moderation for the request input.277 Moderation for the request input.

278 278 


342 342 

343 - `"error"`343 - `"error"`

344 344 

345 - `output: object { model, results, type } or object { code, message, type }`345 - `output: ModerationResults { model, results, type } or Error { code, message, type }`

346 346 

347 Moderation for the generated output.347 Moderation for the generated output.

348 348 

Details

211 Moderation results for the request input and generated output. Present211 Moderation results for the request input and generated output. Present

212 on the moderation chunk when moderated completions are requested.212 on the moderation chunk when moderated completions are requested.

213 213 

214 - `input: object { model, results, type } or object { code, message, type }`214 - `input: ModerationResults { model, results, type } or Error { code, message, type }`

215 215 

216 Moderation for the request input.216 Moderation for the request input.

217 217 


281 281 

282 - `"error"`282 - `"error"`

283 283 

284 - `output: object { model, results, type } or object { code, message, type }`284 - `output: ModerationResults { model, results, type } or Error { code, message, type }`

285 285 

286 Moderation for the generated output.286 Moderation for the generated output.

287 287 

Details

8 8 

9### Body Parameters9### Body Parameters

10 10 

11- `items: optional array of EasyInputMessage or object { content, role, status, type } or ResponseOutputMessage or 30 more or null`11- `items: optional array of EasyInputMessage or Message { content, role, status, type } or ResponseOutputMessage or 30 more or null`

12 12 

13 Initial items to include in the conversation context. You may add up to 20 items at a time.13 Initial items to include in the conversation context. You may add up to 20 items at a time.

14 14 


227 227 

228 A text output from the model.228 A text output from the model.

229 229 

230 - `annotations: array of object { file_id, filename, index, type } or object { end_index, start_index, title, 2 more } or object { container_id, end_index, file_id, 3 more } or object { file_id, index, type }`230 - `annotations: array of FileCitation { file_id, filename, index, type } or URLCitation { end_index, start_index, title, 2 more } or ContainerFileCitation { container_id, end_index, file_id, 3 more } or FilePath { file_id, index, type }`

231 231 

232 The annotations of the text output.232 The annotations of the text output.

233 233 


842 842 

843 - `"web_search_call"`843 - `"web_search_call"`

844 844 

845 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`845 - `action: optional Search { type, queries, query, sources } or OpenPage { type, url } or FindInPage { pattern, type, url }`

846 846 

847 An object describing the specific action taken in this web search call.847 An object describing the specific action taken in this web search call.

848 Includes details on how the model used the web (search, open_page, find_in_page).848 Includes details on how the model used the web (search, open_page, find_in_page).


942 942 

943 Whether the function tool call runs asynchronously.943 Whether the function tool call runs asynchronously.

944 944 

945 - `caller: optional object { type } or object { caller_id, type } or null`945 - `caller: optional Direct { type } or Program { caller_id, type } or null`

946 946 

947 The execution context that produced this tool call.947 The execution context that produced this tool call.

948 948 


1109 1109 

1110 The unique ID of the function tool call generated by the model.1110 The unique ID of the function tool call generated by the model.

1111 1111 

1112 - `caller: optional object { type } or object { caller_id, type } or null`1112 - `caller: optional Direct { type } or Program { caller_id, type } or null`

1113 1113 

1114 The execution context that produced this tool call.1114 The execution context that produced this tool call.

1115 1115 


1191 1191 

1192 - `ToolSearchOutput object { tools, type, id, 3 more }`1192 - `ToolSearchOutput object { tools, type, id, 3 more }`

1193 1193 

1194 - `tools: array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`1194 - `tools: array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

1195 1195 

1196 The loaded tool definitions returned by the tool search output.1196 The loaded tool definitions returned by the tool search output.

1197 1197 


1497 1497 

1498 - `"programmatic"`1498 - `"programmatic"`

1499 1499 

1500 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`1500 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

1501 1501 

1502 List of allowed tool names or a filter object.1502 List of allowed tool names or a filter object.

1503 1503 


1571 Optional HTTP headers to send to the MCP server. Use for authentication1571 Optional HTTP headers to send to the MCP server. Use for authentication

1572 or other purposes.1572 or other purposes.

1573 1573 

1574 - `require_approval: optional object { always, never } or "always" or "never" or null`1574 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

1575 1575 

1576 Specify which of the MCP server's tools require approval.1576 Specify which of the MCP server's tools require approval.

1577 1577 


1637 1637 

1638 A tool that runs Python code to help generate a response to a prompt.1638 A tool that runs Python code to help generate a response to a prompt.

1639 1639 

1640 - `container: string or object { type, file_ids, memory_limit, network_policy }`1640 - `container: string or CodeInterpreterToolAuto { type, file_ids, memory_limit, network_policy }`

1641 1641 

1642 The code interpreter container. Can be a container ID or an object that1642 The code interpreter container. Can be a container ID or an object that

1643 specifies uploaded file IDs to make available to your code, along with an1643 specifies uploaded file IDs to make available to your code, along with an


2130 2130 

2131 The namespace name used in tool calls (for example, `crm`).2131 The namespace name used in tool calls (for example, `crm`).

2132 2132 

2133 - `tools: array of object { name, type, allowed_callers, 6 more } or object { name, type, allowed_callers, 4 more }`2133 - `tools: array of Function { name, type, allowed_callers, 6 more } or Custom { name, type, allowed_callers, 4 more }`

2134 2134 

2135 The function/custom tools loaded inside this namespace.2135 The function/custom tools loaded inside this namespace.

2136 2136 


2354 2354 

2355 - `"developer"`2355 - `"developer"`

2356 2356 

2357 - `tools: array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`2357 - `tools: array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

2358 2358 

2359 A list of additional tools made available at this item.2359 A list of additional tools made available at this item.

2360 2360 


2591 2591 

2592 - `"programmatic"`2592 - `"programmatic"`

2593 2593 

2594 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`2594 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

2595 2595 

2596 List of allowed tool names or a filter object.2596 List of allowed tool names or a filter object.

2597 2597 


2665 Optional HTTP headers to send to the MCP server. Use for authentication2665 Optional HTTP headers to send to the MCP server. Use for authentication

2666 or other purposes.2666 or other purposes.

2667 2667 

2668 - `require_approval: optional object { always, never } or "always" or "never" or null`2668 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

2669 2669 

2670 Specify which of the MCP server's tools require approval.2670 Specify which of the MCP server's tools require approval.

2671 2671 


2731 2731 

2732 A tool that runs Python code to help generate a response to a prompt.2732 A tool that runs Python code to help generate a response to a prompt.

2733 2733 

2734 - `container: string or object { type, file_ids, memory_limit, network_policy }`2734 - `container: string or CodeInterpreterToolAuto { type, file_ids, memory_limit, network_policy }`

2735 2735 

2736 The code interpreter container. Can be a container ID or an object that2736 The code interpreter container. Can be a container ID or an object that

2737 specifies uploaded file IDs to make available to your code, along with an2737 specifies uploaded file IDs to make available to your code, along with an


3042 3042 

3043 The namespace name used in tool calls (for example, `crm`).3043 The namespace name used in tool calls (for example, `crm`).

3044 3044 

3045 - `tools: array of object { name, type, allowed_callers, 6 more } or object { name, type, allowed_callers, 4 more }`3045 - `tools: array of Function { name, type, allowed_callers, 6 more } or Custom { name, type, allowed_callers, 4 more }`

3046 3046 

3047 The function/custom tools available inside this namespace.3047 The function/custom tools available inside this namespace.

3048 3048 


3471 3471 

3472 The ID of the container used to run the code.3472 The ID of the container used to run the code.

3473 3473 

3474 - `outputs: array of object { logs, type } or object { type, url } or null`3474 - `outputs: array of Logs { logs, type } or Image { type, url } or null`

3475 3475 

3476 The outputs generated by the code interpreter, such as logs or images.3476 The outputs generated by the code interpreter, such as logs or images.

3477 Can be null if no outputs are available.3477 Can be null if no outputs are available.


3644 3644 

3645 The unique ID of the shell tool call. Populated when this item is returned via API.3645 The unique ID of the shell tool call. Populated when this item is returned via API.

3646 3646 

3647 - `caller: optional object { type } or object { caller_id, type } or null`3647 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3648 3648 

3649 The execution context that produced this tool call.3649 The execution context that produced this tool call.

3650 3650 


3698 3698 

3699 Captured chunks of stdout and stderr output, along with their associated outcomes.3699 Captured chunks of stdout and stderr output, along with their associated outcomes.

3700 3700 

3701 - `outcome: object { type } or object { exit_code, type }`3701 - `outcome: Timeout { type } or Exit { exit_code, type }`

3702 3702 

3703 The exit or timeout outcome associated with this shell call.3703 The exit or timeout outcome associated with this shell call.

3704 3704 


3744 3744 

3745 The unique ID of the shell tool call output. Populated when this item is returned via API.3745 The unique ID of the shell tool call output. Populated when this item is returned via API.

3746 3746 

3747 - `caller: optional object { type } or object { caller_id, type } or null`3747 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3748 3748 

3749 The execution context that produced this tool call.3749 The execution context that produced this tool call.

3750 3750 


3790 3790 

3791 The unique ID of the apply patch tool call generated by the model.3791 The unique ID of the apply patch tool call generated by the model.

3792 3792 

3793 - `operation: object { diff, path, type } or object { path, type } or object { diff, path, type }`3793 - `operation: CreateFile { diff, path, type } or DeleteFile { path, type } or UpdateFile { diff, path, type }`

3794 3794 

3795 The specific create, delete, or update instruction for the apply_patch tool call.3795 The specific create, delete, or update instruction for the apply_patch tool call.

3796 3796 


3862 3862 

3863 The unique ID of the apply patch tool call. Populated when this item is returned via API.3863 The unique ID of the apply patch tool call. Populated when this item is returned via API.

3864 3864 

3865 - `caller: optional object { type } or object { caller_id, type } or null`3865 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3866 3866 

3867 The execution context that produced this tool call.3867 The execution context that produced this tool call.

3868 3868 


3912 3912 

3913 The unique ID of the apply patch tool call output. Populated when this item is returned via API.3913 The unique ID of the apply patch tool call output. Populated when this item is returned via API.

3914 3914 

3915 - `caller: optional object { type } or object { caller_id, type } or null`3915 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3916 3916 

3917 The execution context that produced this tool call.3917 The execution context that produced this tool call.

3918 3918 


4158 4158 

4159 The unique ID of the custom tool call output in the OpenAI platform.4159 The unique ID of the custom tool call output in the OpenAI platform.

4160 4160 

4161 - `caller: optional object { type } or object { caller_id, type } or null`4161 - `caller: optional Direct { type } or Program { caller_id, type } or null`

4162 4162 

4163 The execution context that produced this tool call.4163 The execution context that produced this tool call.

4164 4164 


4212 4212 

4213 Whether the custom tool call runs asynchronously.4213 Whether the custom tool call runs asynchronously.

4214 4214 

4215 - `caller: optional object { type } or object { caller_id, type } or null`4215 - `caller: optional Direct { type } or Program { caller_id, type } or null`

4216 4216 

4217 The execution context that produced this tool call.4217 The execution context that produced this tool call.

4218 4218 

Details

110 110 

111 A text output from the model.111 A text output from the model.

112 112 

113 - `annotations: array of object { file_id, filename, index, type } or object { end_index, start_index, title, 2 more } or object { container_id, end_index, file_id, 3 more } or object { file_id, index, type }`113 - `annotations: array of FileCitation { file_id, filename, index, type } or URLCitation { end_index, start_index, title, 2 more } or ContainerFileCitation { container_id, end_index, file_id, 3 more } or FilePath { file_id, index, type }`

114 114 

115 The annotations of the text output.115 The annotations of the text output.

116 116 


489 489 

490 Whether the function tool call runs asynchronously.490 Whether the function tool call runs asynchronously.

491 491 

492 - `caller: optional object { type } or object { caller_id, type } or null`492 - `caller: optional Direct { type } or Program { caller_id, type } or null`

493 493 

494 The execution context that produced this tool call.494 The execution context that produced this tool call.

495 495 


569 569 

570 The unique ID of the function tool call generated by the model.570 The unique ID of the function tool call generated by the model.

571 571 

572 - `caller: optional object { type } or object { caller_id, type } or null`572 - `caller: optional Direct { type } or Program { caller_id, type } or null`

573 573 

574 The execution context that produced this tool call.574 The execution context that produced this tool call.

575 575 


702 702 

703 - `"web_search_call"`703 - `"web_search_call"`

704 704 

705 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`705 - `action: optional Search { type, queries, query, sources } or OpenPage { type, url } or FindInPage { pattern, type, url }`

706 706 

707 An object describing the specific action taken in this web search call.707 An object describing the specific action taken in this web search call.

708 Includes details on how the model used the web (search, open_page, find_in_page).708 Includes details on how the model used the web (search, open_page, find_in_page).


1288 1288 

1289 - `"incomplete"`1289 - `"incomplete"`

1290 1290 

1291 - `tools: array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`1291 - `tools: array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

1292 1292 

1293 The loaded tool definitions returned by tool search.1293 The loaded tool definitions returned by tool search.

1294 1294 


1594 1594 

1595 - `"programmatic"`1595 - `"programmatic"`

1596 1596 

1597 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`1597 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

1598 1598 

1599 List of allowed tool names or a filter object.1599 List of allowed tool names or a filter object.

1600 1600 


1668 Optional HTTP headers to send to the MCP server. Use for authentication1668 Optional HTTP headers to send to the MCP server. Use for authentication

1669 or other purposes.1669 or other purposes.

1670 1670 

1671 - `require_approval: optional object { always, never } or "always" or "never" or null`1671 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

1672 1672 

1673 Specify which of the MCP server's tools require approval.1673 Specify which of the MCP server's tools require approval.

1674 1674 


1734 1734 

1735 A tool that runs Python code to help generate a response to a prompt.1735 A tool that runs Python code to help generate a response to a prompt.

1736 1736 

1737 - `container: string or object { type, file_ids, memory_limit, network_policy }`1737 - `container: string or CodeInterpreterToolAuto { type, file_ids, memory_limit, network_policy }`

1738 1738 

1739 The code interpreter container. Can be a container ID or an object that1739 The code interpreter container. Can be a container ID or an object that

1740 specifies uploaded file IDs to make available to your code, along with an1740 specifies uploaded file IDs to make available to your code, along with an


2227 2227 

2228 The namespace name used in tool calls (for example, `crm`).2228 The namespace name used in tool calls (for example, `crm`).

2229 2229 

2230 - `tools: array of object { name, type, allowed_callers, 6 more } or object { name, type, allowed_callers, 4 more }`2230 - `tools: array of Function { name, type, allowed_callers, 6 more } or Custom { name, type, allowed_callers, 4 more }`

2231 2231 

2232 The function/custom tools available inside this namespace.2232 The function/custom tools available inside this namespace.

2233 2233 


2445 2445 

2446 - `"tool"`2446 - `"tool"`

2447 2447 

2448 - `tools: array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`2448 - `tools: array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

2449 2449 

2450 The additional tool definitions made available at this item.2450 The additional tool definitions made available at this item.

2451 2451 


2682 2682 

2683 - `"programmatic"`2683 - `"programmatic"`

2684 2684 

2685 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`2685 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

2686 2686 

2687 List of allowed tool names or a filter object.2687 List of allowed tool names or a filter object.

2688 2688 


2756 Optional HTTP headers to send to the MCP server. Use for authentication2756 Optional HTTP headers to send to the MCP server. Use for authentication

2757 or other purposes.2757 or other purposes.

2758 2758 

2759 - `require_approval: optional object { always, never } or "always" or "never" or null`2759 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

2760 2760 

2761 Specify which of the MCP server's tools require approval.2761 Specify which of the MCP server's tools require approval.

2762 2762 


2822 2822 

2823 A tool that runs Python code to help generate a response to a prompt.2823 A tool that runs Python code to help generate a response to a prompt.

2824 2824 

2825 - `container: string or object { type, file_ids, memory_limit, network_policy }`2825 - `container: string or CodeInterpreterToolAuto { type, file_ids, memory_limit, network_policy }`

2826 2826 

2827 The code interpreter container. Can be a container ID or an object that2827 The code interpreter container. Can be a container ID or an object that

2828 specifies uploaded file IDs to make available to your code, along with an2828 specifies uploaded file IDs to make available to your code, along with an


3133 3133 

3134 The namespace name used in tool calls (for example, `crm`).3134 The namespace name used in tool calls (for example, `crm`).

3135 3135 

3136 - `tools: array of object { name, type, allowed_callers, 6 more } or object { name, type, allowed_callers, 4 more }`3136 - `tools: array of Function { name, type, allowed_callers, 6 more } or Custom { name, type, allowed_callers, 4 more }`

3137 3137 

3138 The function/custom tools available inside this namespace.3138 The function/custom tools available inside this namespace.

3139 3139 


3515 3515 

3516 The ID of the container used to run the code.3516 The ID of the container used to run the code.

3517 3517 

3518 - `outputs: array of object { logs, type } or object { type, url } or null`3518 - `outputs: array of Logs { logs, type } or Image { type, url } or null`

3519 3519 

3520 The outputs generated by the code interpreter, such as logs or images.3520 The outputs generated by the code interpreter, such as logs or images.

3521 Can be null if no outputs are available.3521 Can be null if no outputs are available.


3722 3722 

3723 - `"shell_call"`3723 - `"shell_call"`

3724 3724 

3725 - `caller: optional object { type } or object { caller_id, type } or null`3725 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3726 3726 

3727 The execution context that produced this tool call.3727 The execution context that produced this tool call.

3728 3728 


3766 3766 

3767 An array of shell call output contents3767 An array of shell call output contents

3768 3768 

3769 - `outcome: object { type } or object { exit_code, type }`3769 - `outcome: Timeout { type } or Exit { exit_code, type }`

3770 3770 

3771 Represents either an exit outcome (with an exit code) or a timeout outcome for a shell call output chunk.3771 Represents either an exit outcome (with an exit code) or a timeout outcome for a shell call output chunk.

3772 3772 


3822 3822 

3823 - `"shell_call_output"`3823 - `"shell_call_output"`

3824 3824 

3825 - `caller: optional object { type } or object { caller_id, type } or null`3825 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3826 3826 

3827 The execution context that produced this tool call.3827 The execution context that produced this tool call.

3828 3828 


3858 3858 

3859 The unique ID of the apply patch tool call generated by the model.3859 The unique ID of the apply patch tool call generated by the model.

3860 3860 

3861 - `operation: object { diff, path, type } or object { path, type } or object { diff, path, type }`3861 - `operation: CreateFile { diff, path, type } or DeleteFile { path, type } or UpdateFile { diff, path, type }`

3862 3862 

3863 One of the create_file, delete_file, or update_file operations applied via apply_patch.3863 One of the create_file, delete_file, or update_file operations applied via apply_patch.

3864 3864 


3926 3926 

3927 - `"apply_patch_call"`3927 - `"apply_patch_call"`

3928 3928 

3929 - `caller: optional object { type } or object { caller_id, type } or null`3929 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3930 3930 

3931 The execution context that produced this tool call.3931 The execution context that produced this tool call.

3932 3932 


3976 3976 

3977 - `"apply_patch_call_output"`3977 - `"apply_patch_call_output"`

3978 3978 

3979 - `caller: optional object { type } or object { caller_id, type } or null`3979 - `caller: optional Direct { type } or Program { caller_id, type } or null`

3980 3980 

3981 The execution context that produced this tool call.3981 The execution context that produced this tool call.

3982 3982 


4209 4209 

4210 Whether the custom tool call runs asynchronously.4210 Whether the custom tool call runs asynchronously.

4211 4211 

4212 - `caller: optional object { type } or object { caller_id, type } or null`4212 - `caller: optional Direct { type } or Program { caller_id, type } or null`

4213 4213 

4214 The execution context that produced this tool call.4214 The execution context that produced this tool call.

4215 4215 


4276 4276 

4277 The unique ID of the custom tool call output in the OpenAI platform.4277 The unique ID of the custom tool call output in the OpenAI platform.

4278 4278 

4279 - `caller: optional object { type } or object { caller_id, type } or null`4279 - `caller: optional Direct { type } or Program { caller_id, type } or null`

4280 4280 

4281 The execution context that produced this tool call.4281 The execution context that produced this tool call.

4282 4282 

Details

10 10 

11### Body Parameters11### Body Parameters

12 12 

13- `data_source_config: object { item_schema, type, include_sample_schema } or object { type, metadata } or object { type, metadata }`13- `data_source_config: CustomDataSourceConfig { item_schema, type, include_sample_schema } or LogsDataSourceConfig { type, metadata } or StoredCompletionsDataSourceConfig { type, metadata }`

14 14 

15 The configuration for the data source used for the evaluation runs. Dictates the schema of the data used in the evaluation.15 The configuration for the data source used for the evaluation runs. Dictates the schema of the data used in the evaluation.

16 16 


65 65 

66 Metadata filters for the stored completions data source.66 Metadata filters for the stored completions data source.

67 67 

68- `testing_criteria: array of object { input, labels, model, 3 more } or StringCheckGrader or TextSimilarityGrader or 2 more`68- `testing_criteria: array of LabelModelGrader { input, labels, model, 3 more } or StringCheckGrader or TextSimilarityGrader or 2 more`

69 69 

70 A list of graders for all eval runs in this group. Graders can reference variables in the data source using double curly braces notation, like `{{item.variable_name}}`. To reference the model's output, use the `sample` namespace (ie, `{{sample.output_text}}`).70 A list of graders for all eval runs in this group. Graders can reference variables in the data source using double curly braces notation, like `{{item.variable_name}}`. To reference the model's output, use the `sample` namespace (ie, `{{sample.output_text}}`).

71 71 


74 A LabelModelGrader object which uses a model to assign labels to each item74 A LabelModelGrader object which uses a model to assign labels to each item

75 in the evaluation.75 in the evaluation.

76 76 

77 - `input: array of object { content, role } or object { content, role, type }`77 - `input: array of SimpleInputMessage { content, role } or EvalMessageObject { content, role, type }`

78 78 

79 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.79 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.

80 80 


96 `assistant` role are presumed to have been generated by the model in previous96 `assistant` role are presumed to have been generated by the model in previous

97 interactions.97 interactions.

98 98 

99 - `content: string or ResponseInputText or object { text, type } or 3 more`99 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

100 100 

101 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.101 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

102 102 


185 185 

186 - `"input_audio"`186 - `"input_audio"`

187 187 

188 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`188 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

189 189 

190 A list of inputs, each of which may be either an input text, output text, input190 A list of inputs, each of which may be either an input text, output text, input

191 image, or input audio object.191 image, or input audio object.


356 356 

357 The Unix timestamp (in seconds) for when the eval was created.357 The Unix timestamp (in seconds) for when the eval was created.

358 358 

359- `data_source_config: EvalCustomDataSourceConfig or object { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`359- `data_source_config: EvalCustomDataSourceConfig or LogsDataSourceConfig { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`

360 360 

361 Configuration of data sources used in runs of the evaluation.361 Configuration of data sources used in runs of the evaluation.

362 362 


460 460 

461 - `input: array of object { content, role, type }`461 - `input: array of object { content, role, type }`

462 462 

463 - `content: string or ResponseInputText or object { text, type } or 3 more`463 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

464 464 

465 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.465 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

466 466 


549 549 

550 - `"input_audio"`550 - `"input_audio"`

551 551 

552 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`552 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

553 553 

554 A list of inputs, each of which may be either an input text, output text, input554 A list of inputs, each of which may be either an input text, output text, input

555 image, or input audio object.555 image, or input audio object.

Details

47 47 

48 The Unix timestamp (in seconds) for when the eval was created.48 The Unix timestamp (in seconds) for when the eval was created.

49 49 

50 - `data_source_config: EvalCustomDataSourceConfig or object { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`50 - `data_source_config: EvalCustomDataSourceConfig or LogsDataSourceConfig { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`

51 51 

52 Configuration of data sources used in runs of the evaluation.52 Configuration of data sources used in runs of the evaluation.

53 53 


151 151 

152 - `input: array of object { content, role, type }`152 - `input: array of object { content, role, type }`

153 153 

154 - `content: string or ResponseInputText or object { text, type } or 3 more`154 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

155 155 

156 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.156 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

157 157 


240 240 

241 - `"input_audio"`241 - `"input_audio"`

242 242 

243 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`243 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

244 244 

245 A list of inputs, each of which may be either an input text, output text, input245 A list of inputs, each of which may be either an input text, output text, input

246 image, or input audio object.246 image, or input audio object.

Details

20 20 

21 The Unix timestamp (in seconds) for when the eval was created.21 The Unix timestamp (in seconds) for when the eval was created.

22 22 

23- `data_source_config: EvalCustomDataSourceConfig or object { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`23- `data_source_config: EvalCustomDataSourceConfig or LogsDataSourceConfig { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`

24 24 

25 Configuration of data sources used in runs of the evaluation.25 Configuration of data sources used in runs of the evaluation.

26 26 


124 124 

125 - `input: array of object { content, role, type }`125 - `input: array of object { content, role, type }`

126 126 

127 - `content: string or ResponseInputText or object { text, type } or 3 more`127 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

128 128 

129 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.129 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

130 130 


213 213 

214 - `"input_audio"`214 - `"input_audio"`

215 215 

216 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`216 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

217 217 

218 A list of inputs, each of which may be either an input text, output text, input218 A list of inputs, each of which may be either an input text, output text, input

219 image, or input audio object.219 image, or input audio object.

Details

35 35 

36 The Unix timestamp (in seconds) for when the eval was created.36 The Unix timestamp (in seconds) for when the eval was created.

37 37 

38- `data_source_config: EvalCustomDataSourceConfig or object { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`38- `data_source_config: EvalCustomDataSourceConfig or LogsDataSourceConfig { schema, type, metadata } or EvalStoredCompletionsDataSourceConfig`

39 39 

40 Configuration of data sources used in runs of the evaluation.40 Configuration of data sources used in runs of the evaluation.

41 41 


139 139 

140 - `input: array of object { content, role, type }`140 - `input: array of object { content, role, type }`

141 141 

142 - `content: string or ResponseInputText or object { text, type } or 3 more`142 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

143 143 

144 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.144 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

145 145 


228 228 

229 - `"input_audio"`229 - `"input_audio"`

230 230 

231 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`231 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

232 232 

233 A list of inputs, each of which may be either an input text, output text, input233 A list of inputs, each of which may be either an input text, output text, input

234 image, or input audio object.234 image, or input audio object.

Details

22 22 

23 Unix timestamp (in seconds) when the evaluation run was created.23 Unix timestamp (in seconds) when the evaluation run was created.

24 24 

25- `data_source: CreateEvalJSONLRunDataSource or CreateEvalCompletionsRunDataSource or object { source, type, input_messages, 2 more }`25- `data_source: CreateEvalJSONLRunDataSource or CreateEvalCompletionsRunDataSource or ResponsesRunDataSource { source, type, input_messages, 2 more }`

26 26 

27 Information about the run's data source.27 Information about the run's data source.

28 28 


30 30 

31 A JsonlRunDataSource object with that specifies a JSONL file that matches the eval31 A JsonlRunDataSource object with that specifies a JSONL file that matches the eval

32 32 

33 - `source: object { content, type } or object { id, type }`33 - `source: EvalJSONLFileContentSource { content, type } or EvalJSONLFileIDSource { id, type }`

34 34 

35 Determines what populates the `item` namespace in the data source.35 Determines what populates the `item` namespace in the data source.

36 36 


72 72 

73 A CompletionsRunDataSource object describing a model sampling configuration.73 A CompletionsRunDataSource object describing a model sampling configuration.

74 74 

75 - `source: object { content, type } or object { id, type } or object { type, created_after, created_before, 3 more }`75 - `source: EvalJSONLFileContentSource { content, type } or EvalJSONLFileIDSource { id, type } or StoredCompletionsRunDataSource { type, created_after, created_before, 3 more }`

76 76 

77 Determines what populates the `item` namespace in this run's data source.77 Determines what populates the `item` namespace in this run's data source.

78 78 


145 145 

146 - `"completions"`146 - `"completions"`

147 147 

148 - `input_messages: optional object { template, type } or object { item_reference, type }`148 - `input_messages: optional TemplateInputMessages { template, type } or ItemReferenceInputMessages { item_reference, type }`

149 149 

150 Used when sampling from a model. Dictates the structure of the messages passed into the model. Can either be a reference to a prebuilt trajectory (ie, `item.input_trajectory`), or a template with variable references to the `item` namespace.150 Used when sampling from a model. Dictates the structure of the messages passed into the model. Can either be a reference to a prebuilt trajectory (ie, `item.input_trajectory`), or a template with variable references to the `item` namespace.

151 151 

152 - `TemplateInputMessages object { template, type }`152 - `TemplateInputMessages object { template, type }`

153 153 

154 - `template: array of EasyInputMessage or object { content, role, type }`154 - `template: array of EasyInputMessage or EvalMessageObject { content, role, type }`

155 155 

156 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.156 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.

157 157 


324 `assistant` role are presumed to have been generated by the model in previous324 `assistant` role are presumed to have been generated by the model in previous

325 interactions.325 interactions.

326 326 

327 - `content: string or ResponseInputText or object { text, type } or 3 more`327 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

328 328 

329 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.329 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

330 330 


393 393 

394 - `"input_audio"`394 - `"input_audio"`

395 395 

396 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`396 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

397 397 

398 A list of inputs, each of which may be either an input text, output text, input398 A list of inputs, each of which may be either an input text, output text, input

399 image, or input audio object.399 image, or input audio object.


633 633 

634 A ResponsesRunDataSource object describing a model sampling configuration.634 A ResponsesRunDataSource object describing a model sampling configuration.

635 635 

636 - `source: object { content, type } or object { id, type } or object { type, created_after, created_before, 8 more }`636 - `source: EvalJSONLFileContentSource { content, type } or EvalJSONLFileIDSource { id, type } or EvalResponsesSource { type, created_after, created_before, 8 more }`

637 637 

638 Determines what populates the `item` namespace in this run's data source.638 Determines what populates the `item` namespace in this run's data source.

639 639 


727 727 

728 - `"responses"`728 - `"responses"`

729 729 

730 - `input_messages: optional object { template, type } or object { item_reference, type }`730 - `input_messages: optional InputMessagesTemplate { template, type } or InputMessagesItemReference { item_reference, type }`

731 731 

732 Used when sampling from a model. Dictates the structure of the messages passed into the model. Can either be a reference to a prebuilt trajectory (ie, `item.input_trajectory`), or a template with variable references to the `item` namespace.732 Used when sampling from a model. Dictates the structure of the messages passed into the model. Can either be a reference to a prebuilt trajectory (ie, `item.input_trajectory`), or a template with variable references to the `item` namespace.

733 733 

734 - `InputMessagesTemplate object { template, type }`734 - `InputMessagesTemplate object { template, type }`

735 735 

736 - `template: array of object { content, role } or object { content, role, type }`736 - `template: array of ChatMessage { content, role } or EvalMessageObject { content, role, type }`

737 737 

738 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.738 A list of chat messages forming the prompt or context. May include variable references to the `item` namespace, ie {{item.name}}.

739 739 


755 `assistant` role are presumed to have been generated by the model in previous755 `assistant` role are presumed to have been generated by the model in previous

756 interactions.756 interactions.

757 757 

758 - `content: string or ResponseInputText or object { text, type } or 3 more`758 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

759 759 

760 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.760 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

761 761 


803 803 

804 An audio input to the model.804 An audio input to the model.

805 805 

806 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`806 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

807 807 

808 A list of inputs, each of which may be either an input text, output text, input808 A list of inputs, each of which may be either an input text, output text, input

809 image, or input audio object.809 image, or input audio object.


942 model will not generate JSON without a system or user message instructing it942 model will not generate JSON without a system or user message instructing it

943 to do so.943 to do so.

944 944 

945 - `tools: optional array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`945 - `tools: optional array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

946 946 

947 An array of tools the model may call while generating a response. You947 An array of tools the model may call while generating a response. You

948 can specify which tool to use by setting the `tool_choice` parameter.948 can specify which tool to use by setting the `tool_choice` parameter.


1259 1259 

1260 - `"programmatic"`1260 - `"programmatic"`

1261 1261 

1262 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`1262 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

1263 1263 

1264 List of allowed tool names or a filter object.1264 List of allowed tool names or a filter object.

1265 1265 


1333 Optional HTTP headers to send to the MCP server. Use for authentication1333 Optional HTTP headers to send to the MCP server. Use for authentication

1334 or other purposes.1334 or other purposes.

1335 1335 

1336 - `require_approval: optional object { always, never } or "always" or "never" or null`1336 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

1337 1337 

1338 Specify which of the MCP server's tools require approval.1338 Specify which of the MCP server's tools require approval.

1339 1339 


1399 1399 

1400 A tool that runs Python code to help generate a response to a prompt.1400 A tool that runs Python code to help generate a response to a prompt.

1401 1401 

1402 - `container: string or object { type, file_ids, memory_limit, network_policy }`1402 - `container: string or CodeInterpreterToolAuto { type, file_ids, memory_limit, network_policy }`

1403 1403 

1404 The code interpreter container. Can be a container ID or an object that1404 The code interpreter container. Can be a container ID or an object that

1405 specifies uploaded file IDs to make available to your code, along with an1405 specifies uploaded file IDs to make available to your code, along with an


1892 1892 

1893 The namespace name used in tool calls (for example, `crm`).1893 The namespace name used in tool calls (for example, `crm`).

1894 1894 

1895 - `tools: array of object { name, type, allowed_callers, 6 more } or object { name, type, allowed_callers, 4 more }`1895 - `tools: array of Function { name, type, allowed_callers, 6 more } or Custom { name, type, allowed_callers, 4 more }`

1896 1896 

1897 The function/custom tools available inside this namespace.1897 The function/custom tools available inside this namespace.

1898 1898 

Details

385 385 

386 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.386 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.

387 387 

388 - `content: string or ResponseInputText or object { text, type } or 3 more`388 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

389 389 

390 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.390 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

391 391 


474 474 

475 - `"input_audio"`475 - `"input_audio"`

476 476 

477 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`477 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

478 478 

479 A list of inputs, each of which may be either an input text, output text, input479 A list of inputs, each of which may be either an input text, output text, input

480 image, or input audio object.480 image, or input audio object.


637 637 

638 - `input: array of object { content, role, type }`638 - `input: array of object { content, role, type }`

639 639 

640 - `content: string or ResponseInputText or object { text, type } or 3 more`640 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

641 641 

642 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.642 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

643 643 


685 685 

686 An audio input to the model.686 An audio input to the model.

687 687 

688 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`688 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

689 689 

690 A list of inputs, each of which may be either an input text, output text, input690 A list of inputs, each of which may be either an input text, output text, input

691 image, or input audio object.691 image, or input audio object.

Details

8 8 

9### Grader Inputs9### Grader Inputs

10 10 

11- `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`11- `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

12 12 

13 A list of inputs, each of which may be either an input text, output text, input13 A list of inputs, each of which may be either an input text, output text, input

14 image, or input audio object.14 image, or input audio object.


107 107 

108 - `input: array of object { content, role, type }`108 - `input: array of object { content, role, type }`

109 109 

110 - `content: string or ResponseInputText or object { text, type } or 3 more`110 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

111 111 

112 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.112 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

113 113 


196 196 

197 - `"input_audio"`197 - `"input_audio"`

198 198 

199 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`199 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

200 200 

201 A list of inputs, each of which may be either an input text, output text, input201 A list of inputs, each of which may be either an input text, output text, input

202 image, or input audio object.202 image, or input audio object.


412 412 

413 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.413 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.

414 414 

415 - `content: string or ResponseInputText or object { text, type } or 3 more`415 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

416 416 

417 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.417 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

418 418 


501 501 

502 - `"input_audio"`502 - `"input_audio"`

503 503 

504 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`504 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

505 505 

506 A list of inputs, each of which may be either an input text, output text, input506 A list of inputs, each of which may be either an input text, output text, input

507 image, or input audio object.507 image, or input audio object.


638 638 

639 - `input: array of object { content, role, type }`639 - `input: array of object { content, role, type }`

640 640 

641 - `content: string or ResponseInputText or object { text, type } or 3 more`641 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

642 642 

643 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.643 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

644 644 


686 686 

687 An audio input to the model.687 An audio input to the model.

688 688 

689 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`689 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

690 690 

691 A list of inputs, each of which may be either an input text, output text, input691 A list of inputs, each of which may be either an input text, output text, input

692 image, or input audio object.692 image, or input audio object.


776 776 

777 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.777 The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings.

778 778 

779 - `content: string or ResponseInputText or object { text, type } or 3 more`779 - `content: string or ResponseInputText or OutputText { text, type } or 3 more`

780 780 

781 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.781 Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.

782 782 


865 865 

866 - `"input_audio"`866 - `"input_audio"`

867 867 

868 - `GraderInputs = array of string or ResponseInputText or object { text, type } or 2 more`868 - `GraderInputs = array of string or ResponseInputText or OutputText { text, type } or 2 more`

869 869 

870 A list of inputs, each of which may be either an input text, output text, input870 A list of inputs, each of which may be either an input text, output text, input

871 image, or input audio object.871 image, or input audio object.

Details

252 252 

253 - `"high"`253 - `"high"`

254 254 

255 - `tool_choice: optional "auto" or "none" or "required" or map[unknown]`255 - `tool_choice: optional "auto" or "none" or "required" or Function { name, type } or Mcp { server_label, type, name } or 11 more`

256 256 

257 Controls which tool the Responses backend uses when handling a task delegated by the Live model.257 Controls which tool the Responses backend uses when handling a task delegated by the Live model.

258 258 

259 - `LiveToolChoiceEnum = "auto" or "none" or "required"`259 - `LiveToolChoiceEnum = "auto" or "none" or "required"`

260 260 

261 Controls which tool the Responses backend uses when handling a task delegated by the Live model.

262 

263 - `"auto"`261 - `"auto"`

264 262 

265 - `"none"`263 - `"none"`

266 264 

267 - `"required"`265 - `"required"`

268 266 

269 - `map[unknown]`267 - `Function object { name, type }`

268 

269 - `name: string`

270 

271 The name of the function tool to call.

272 

273 - `type: "function"`

274 

275 The tool to call. Always `function`.

276 

277 - `"function"`

278 

279 - `Mcp object { server_label, type, name }`

280 

281 - `server_label: string`

282 

283 The label of the MCP server to call.

284 

285 - `type: "mcp"`

286 

287 The tool to call. Always `mcp`.

288 

289 - `"mcp"`

290 

291 - `name: optional string or null`

292 

293 The name of the MCP tool to call. If omitted, the server may choose a default.

294 

295 - `FileSearch object { type }`

296 

297 - `type: "file_search"`

298 

299 The tool to call. Always `file_search`.

300 

301 - `"file_search"`

302 

303 - `WebSearch object { type }`

304 

305 - `type: "web_search"`

306 

307 The tool to call. Always `web_search`.

308 

309 - `"web_search"`

310 

311 - `WebSearchPreview object { type }`

312 

313 - `type: "web_search_preview"`

314 

315 The tool to call. Always `web_search_preview`.

316 

317 - `"web_search_preview"`

318 

319 - `ImageGeneration object { type }`

320 

321 - `type: "image_generation"`

322 

323 The tool to call. Always `image_generation`.

324 

325 - `"image_generation"`

326 

327 - `Computer object { type }`

328 

329 - `type: "computer"`

330 

331 The tool to call. Always `computer`.

332 

333 - `"computer"`

334 

335 - `CodeInterpreter object { type }`

336 

337 - `type: "code_interpreter"`

338 

339 The tool to call. Always `code_interpreter`.

340 

341 - `"code_interpreter"`

342 

343 - `ProgrammaticToolCalling object { type }`

344 

345 - `type: "programmatic_tool_calling"`

346 

347 The tool to call. Always `programmatic_tool_calling`.

348 

349 - `"programmatic_tool_calling"`

350 

351 - `Shell object { type }`

352 

353 Forces the model to call the shell tool when a tool call is required.

354 

355 - `type: "shell"`

356 

357 The tool to call. Always `shell`.

358 

359 - `"shell"`

360 

361 - `Custom object { name, type }`

362 

363 - `name: string`

364 

365 The name of the custom tool to call.

366 

367 - `type: "custom"`

368 

369 The tool to call. Always `custom`.

370 

371 - `"custom"`

372 

373 - `ApplyPatch object { type }`

374 

375 Forces the model to call the apply_patch tool when executing a tool call.

376 

377 - `type: "apply_patch"`

378 

379 The tool to call. Always `apply_patch`.

380 

381 - `"apply_patch"`

382 

383 - `LiveAllowedToolsChoiceParam object { tools, type, mode }`

384 

385 - `tools: array of Function { name, type } or Mcp { server_label, type, name } or FileSearch { type } or 9 more`

386 

387 The tools that the delegated Responses model may call.

388 

389 - `Function object { name, type }`

390 

391 - `name: string`

392 

393 The name of the function tool to call.

394 

395 - `type: "function"`

396 

397 The tool to call. Always `function`.

398 

399 - `"function"`

400 

401 - `Mcp object { server_label, type, name }`

402 

403 - `server_label: string`

404 

405 The label of the MCP server to call.

406 

407 - `type: "mcp"`

408 

409 The tool to call. Always `mcp`.

410 

411 - `"mcp"`

412 

413 - `name: optional string or null`

414 

415 The name of the MCP tool to call. If omitted, the server may choose a default.

416 

417 - `FileSearch object { type }`

418 

419 - `type: "file_search"`

420 

421 The tool to call. Always `file_search`.

422 

423 - `"file_search"`

424 

425 - `WebSearch object { type }`

426 

427 - `type: "web_search"`

428 

429 The tool to call. Always `web_search`.

430 

431 - `"web_search"`

432 

433 - `WebSearchPreview object { type }`

434 

435 - `type: "web_search_preview"`

436 

437 The tool to call. Always `web_search_preview`.

438 

439 - `"web_search_preview"`

440 

441 - `ImageGeneration object { type }`

442 

443 - `type: "image_generation"`

444 

445 The tool to call. Always `image_generation`.

446 

447 - `"image_generation"`

448 

449 - `Computer object { type }`

450 

451 - `type: "computer"`

452 

453 The tool to call. Always `computer`.

454 

455 - `"computer"`

456 

457 - `CodeInterpreter object { type }`

458 

459 - `type: "code_interpreter"`

460 

461 The tool to call. Always `code_interpreter`.

462 

463 - `"code_interpreter"`

464 

465 - `ProgrammaticToolCalling object { type }`

466 

467 - `type: "programmatic_tool_calling"`

468 

469 The tool to call. Always `programmatic_tool_calling`.

470 

471 - `"programmatic_tool_calling"`

472 

473 - `Shell object { type }`

474 

475 Forces the model to call the shell tool when a tool call is required.

270 476 

271 - `tools: optional array of FunctionTool or object { type } or object { type } or 10 more`477 - `type: "shell"`

478 

479 The tool to call. Always `shell`.

480 

481 - `"shell"`

482 

483 - `Custom object { name, type }`

484 

485 - `name: string`

486 

487 The name of the custom tool to call.

488 

489 - `type: "custom"`

490 

491 The tool to call. Always `custom`.

492 

493 - `"custom"`

494 

495 - `ApplyPatch object { type }`

496 

497 Forces the model to call the apply_patch tool when executing a tool call.

498 

499 - `type: "apply_patch"`

500 

501 The tool to call. Always `apply_patch`.

502 

503 - `"apply_patch"`

504 

505 - `type: "allowed_tools"`

506 

507 The tool choice type. Always `allowed_tools`.

508 

509 - `"allowed_tools"`

510 

511 - `mode: optional "none" or "auto" or "required" or null`

512 

513 How to select a tool from the allowed set.

514 

515 - `"none"`

516 

517 - `"auto"`

518 

519 - `"required"`

520 

521 - `tools: optional array of FunctionTool or WebSearch { type } or FileSearch { type } or 10 more`

272 522 

273 Tools available to the Responses backend while it handles tasks delegated by the Live model.523 Tools available to the Responses backend while it handles tasks delegated by the Live model.

274 524 


328 578 

329 - `"shell"`579 - `"shell"`

330 580 

331 - `environment: optional object { type, file_ids, memory_limit, 2 more } or object { container_id, type } or object { type, skills } or null`581 - `environment: optional ContainerAuto { type, file_ids, memory_limit, 2 more } or ContainerReference { container_id, type } or Local { type, skills } or null`

332 582 

333 - `ContainerAuto object { type, file_ids, memory_limit, 2 more }`583 - `ContainerAuto object { type, file_ids, memory_limit, 2 more }`

334 584 


354 604 

355 - `"64g"`605 - `"64g"`

356 606 

357 - `network_policy: optional object { type } or object { allowed_domains, type } or null`607 - `network_policy: optional Disabled { type } or Allowlist { allowed_domains, type } or null`

358 608 

359 Network access policy for the container.609 Network access policy for the container.

360 610 


378 628 

379 - `"allowlist"`629 - `"allowlist"`

380 630 

381 - `skills: optional array of object { skill_id, type, version } or object { description, name, source, type } or null`631 - `skills: optional array of SkillReference { skill_id, type, version } or Inline { description, name, source, type } or null`

382 632 

383 An optional list of skills referenced by id or inline data.633 An optional list of skills referenced by id or inline data.

384 634 


555 805 

556 Sparse delegation updates. Omitted settings retain their values. The delegation type cannot change, including resetting Responses delegation to null or client. Model, frontend instructions, audio, and startup input are immutable.806 Sparse delegation updates. Omitted settings retain their values. The delegation type cannot change, including resetting Responses delegation to null or client. Model, frontend instructions, audio, and startup input are immutable.

557 807 

558 - `delegation: optional ClientDelegation or object { type, responses } or null`808 - `delegation: optional ClientDelegation or Responses { type, responses } or null`

559 809 

560 Delegation settings to update. The delegation type must match the current session; omitted settings retain their values.810 Delegation settings to update. The delegation type must match the current session; omitted settings retain their values.

561 811 


607 857 

608 How much reasoning effort the delegated Responses model should use. Supported values depend on the backend model.858 How much reasoning effort the delegated Responses model should use. Supported values depend on the backend model.

609 859 

610 - `"none"`860 - `"none"`

861 

862 - `"minimal"`

863 

864 - `"low"`

865 

866 - `"medium"`

867 

868 - `"high"`

869 

870 - `"xhigh"`

871 

872 - `summary: optional "concise" or "detailed" or "auto" or null`

873 

874 The reasoning summary to request from the delegated Responses model, when supported.

875 

876 - `"concise"`

877 

878 - `"detailed"`

879 

880 - `"auto"`

881 

882 - `service_tier: optional "auto" or "default" or "fast_tier_temp_pilot" or 3 more or null`

883 

884 Service tier for delegated Responses requests.

885 

886 - `"auto"`

887 

888 - `"default"`

889 

890 - `"fast_tier_temp_pilot"`

891 

892 - `"flex"`

893 

894 - `"priority"`

895 

896 - `"ultrafast"`

897 

898 - `text: optional object { verbosity } or null`

899 

900 Text generation settings passed to each delegated Responses request.

901 

902 - `verbosity: optional "low" or "medium" or "high" or null`

903 

904 The amount of detail in text generated by the Responses backend. This does not configure the Live model’s spoken delivery.

905 

906 - `"low"`

907 

908 - `"medium"`

909 

910 - `"high"`

911 

912 - `tool_choice: optional "auto" or "none" or "required" or Function { name, type } or Mcp { server_label, type, name } or 11 more`

913 

914 Controls which tool the Responses backend uses when handling a task delegated by the Live model.

915 

916 - `LiveToolChoiceEnum = "auto" or "none" or "required"`

917 

918 - `"auto"`

919 

920 - `"none"`

921 

922 - `"required"`

923 

924 - `Function object { name, type }`

925 

926 - `name: string`

927 

928 The name of the function tool to call.

929 

930 - `type: "function"`

931 

932 The tool to call. Always `function`.

933 

934 - `"function"`

935 

936 - `Mcp object { server_label, type, name }`

937 

938 - `server_label: string`

939 

940 The label of the MCP server to call.

941 

942 - `type: "mcp"`

943 

944 The tool to call. Always `mcp`.

945 

946 - `"mcp"`

947 

948 - `name: optional string or null`

949 

950 The name of the MCP tool to call. If omitted, the server may choose a default.

951 

952 - `FileSearch object { type }`

953 

954 - `type: "file_search"`

955 

956 The tool to call. Always `file_search`.

957 

958 - `"file_search"`

959 

960 - `WebSearch object { type }`

961 

962 - `type: "web_search"`

963 

964 The tool to call. Always `web_search`.

965 

966 - `"web_search"`

967 

968 - `WebSearchPreview object { type }`

969 

970 - `type: "web_search_preview"`

971 

972 The tool to call. Always `web_search_preview`.

973 

974 - `"web_search_preview"`

975 

976 - `ImageGeneration object { type }`

977 

978 - `type: "image_generation"`

979 

980 The tool to call. Always `image_generation`.

981 

982 - `"image_generation"`

983 

984 - `Computer object { type }`

985 

986 - `type: "computer"`

987 

988 The tool to call. Always `computer`.

989 

990 - `"computer"`

991 

992 - `CodeInterpreter object { type }`

993 

994 - `type: "code_interpreter"`

995 

996 The tool to call. Always `code_interpreter`.

997 

998 - `"code_interpreter"`

999 

1000 - `ProgrammaticToolCalling object { type }`

1001 

1002 - `type: "programmatic_tool_calling"`

1003 

1004 The tool to call. Always `programmatic_tool_calling`.

1005 

1006 - `"programmatic_tool_calling"`

1007 

1008 - `Shell object { type }`

1009 

1010 Forces the model to call the shell tool when a tool call is required.

1011 

1012 - `type: "shell"`

1013 

1014 The tool to call. Always `shell`.

1015 

1016 - `"shell"`

1017 

1018 - `Custom object { name, type }`

1019 

1020 - `name: string`

1021 

1022 The name of the custom tool to call.

1023 

1024 - `type: "custom"`

1025 

1026 The tool to call. Always `custom`.

1027 

1028 - `"custom"`

1029 

1030 - `ApplyPatch object { type }`

1031 

1032 Forces the model to call the apply_patch tool when executing a tool call.

1033 

1034 - `type: "apply_patch"`

1035 

1036 The tool to call. Always `apply_patch`.

1037 

1038 - `"apply_patch"`

1039 

1040 - `LiveAllowedToolsChoiceParam object { tools, type, mode }`

1041 

1042 - `tools: array of Function { name, type } or Mcp { server_label, type, name } or FileSearch { type } or 9 more`

1043 

1044 The tools that the delegated Responses model may call.

1045 

1046 - `Function object { name, type }`

1047 

1048 - `name: string`

1049 

1050 The name of the function tool to call.

1051 

1052 - `type: "function"`

1053 

1054 The tool to call. Always `function`.

1055 

1056 - `"function"`

1057 

1058 - `Mcp object { server_label, type, name }`

1059 

1060 - `server_label: string`

1061 

1062 The label of the MCP server to call.

1063 

1064 - `type: "mcp"`

1065 

1066 The tool to call. Always `mcp`.

1067 

1068 - `"mcp"`

1069 

1070 - `name: optional string or null`

1071 

1072 The name of the MCP tool to call. If omitted, the server may choose a default.

1073 

1074 - `FileSearch object { type }`

1075 

1076 - `type: "file_search"`

1077 

1078 The tool to call. Always `file_search`.

1079 

1080 - `"file_search"`

1081 

1082 - `WebSearch object { type }`

1083 

1084 - `type: "web_search"`

1085 

1086 The tool to call. Always `web_search`.

1087 

1088 - `"web_search"`

1089 

1090 - `WebSearchPreview object { type }`

1091 

1092 - `type: "web_search_preview"`

1093 

1094 The tool to call. Always `web_search_preview`.

1095 

1096 - `"web_search_preview"`

1097 

1098 - `ImageGeneration object { type }`

1099 

1100 - `type: "image_generation"`

1101 

1102 The tool to call. Always `image_generation`.

1103 

1104 - `"image_generation"`

1105 

1106 - `Computer object { type }`

1107 

1108 - `type: "computer"`

1109 

1110 The tool to call. Always `computer`.

611 1111 

612 - `"minimal"`1112 - `"computer"`

613 1113 

614 - `"low"`1114 - `CodeInterpreter object { type }`

615 1115 

616 - `"medium"`1116 - `type: "code_interpreter"`

617 1117 

618 - `"high"`1118 The tool to call. Always `code_interpreter`.

619 1119 

620 - `"xhigh"`1120 - `"code_interpreter"`

621 1121 

622 - `summary: optional "concise" or "detailed" or "auto" or null`1122 - `ProgrammaticToolCalling object { type }`

623 1123 

624 The reasoning summary to request from the delegated Responses model, when supported.1124 - `type: "programmatic_tool_calling"`

625 1125 

626 - `"concise"`1126 The tool to call. Always `programmatic_tool_calling`.

627 1127 

628 - `"detailed"`1128 - `"programmatic_tool_calling"`

629 1129 

630 - `"auto"`1130 - `Shell object { type }`

631 1131 

632 - `service_tier: optional "auto" or "default" or "fast_tier_temp_pilot" or 3 more or null`1132 Forces the model to call the shell tool when a tool call is required.

633 1133 

634 Service tier for delegated Responses requests.1134 - `type: "shell"`

635 1135 

636 - `"auto"`1136 The tool to call. Always `shell`.

637 1137 

638 - `"default"`1138 - `"shell"`

639 1139 

640 - `"fast_tier_temp_pilot"`1140 - `Custom object { name, type }`

641 1141 

642 - `"flex"`1142 - `name: string`

643 1143 

644 - `"priority"`1144 The name of the custom tool to call.

645 1145 

646 - `"ultrafast"`1146 - `type: "custom"`

647 1147 

648 - `text: optional object { verbosity } or null`1148 The tool to call. Always `custom`.

649 1149 

650 Text generation settings passed to each delegated Responses request.1150 - `"custom"`

651 1151 

652 - `verbosity: optional "low" or "medium" or "high" or null`1152 - `ApplyPatch object { type }`

653 1153 

654 The amount of detail in text generated by the Responses backend. This does not configure the Live model’s spoken delivery.1154 Forces the model to call the apply_patch tool when executing a tool call.

655 1155 

656 - `"low"`1156 - `type: "apply_patch"`

657 1157 

658 - `"medium"`1158 The tool to call. Always `apply_patch`.

659 1159 

660 - `"high"`1160 - `"apply_patch"`

661 1161 

662 - `tool_choice: optional "auto" or "none" or "required" or map[unknown]`1162 - `type: "allowed_tools"`

663 1163 

664 Controls which tool the Responses backend uses when handling a task delegated by the Live model.1164 The tool choice type. Always `allowed_tools`.

665 1165 

666 - `LiveToolChoiceEnum = "auto" or "none" or "required"`1166 - `"allowed_tools"`

667 1167 

668 Controls which tool the Responses backend uses when handling a task delegated by the Live model.1168 - `mode: optional "none" or "auto" or "required" or null`

669 1169 

670 - `"auto"`1170 How to select a tool from the allowed set.

671 1171 

672 - `"none"`1172 - `"none"`

673 1173 

674 - `"required"`1174 - `"auto"`

675 1175 

676 - `map[unknown]`1176 - `"required"`

677 1177 

678 - `tools: optional array of FunctionTool or object { type } or object { type } or 10 more`1178 - `tools: optional array of FunctionTool or WebSearch { type } or FileSearch { type } or 10 more`

679 1179 

680 Tools available to the Responses backend while it handles tasks delegated by the Live model.1180 Tools available to the Responses backend while it handles tasks delegated by the Live model.

681 1181 


735 1235 

736 - `"shell"`1236 - `"shell"`

737 1237 

738 - `environment: optional object { type, file_ids, memory_limit, 2 more } or object { container_id, type } or object { type, skills } or null`1238 - `environment: optional ContainerAuto { type, file_ids, memory_limit, 2 more } or ContainerReference { container_id, type } or Local { type, skills } or null`

739 1239 

740 - `ContainerAuto object { type, file_ids, memory_limit, 2 more }`1240 - `ContainerAuto object { type, file_ids, memory_limit, 2 more }`

741 1241 


761 1261 

762 - `"64g"`1262 - `"64g"`

763 1263 

764 - `network_policy: optional object { type } or object { allowed_domains, type } or null`1264 - `network_policy: optional Disabled { type } or Allowlist { allowed_domains, type } or null`

765 1265 

766 Network access policy for the container.1266 Network access policy for the container.

767 1267 


785 1285 

786 - `"allowlist"`1286 - `"allowlist"`

787 1287 

788 - `skills: optional array of object { skill_id, type, version } or object { description, name, source, type } or null`1288 - `skills: optional array of SkillReference { skill_id, type, version } or Inline { description, name, source, type } or null`

789 1289 

790 An optional list of skills referenced by id or inline data.1290 An optional list of skills referenced by id or inline data.

791 1291 


1171 1671 

1172Schema name: `LiveResponseItemCreateParam`1672Schema name: `LiveResponseItemCreateParam`

1173 1673 

1174- `item: EasyInputMessage or object { content, role, status, type } or ResponseOutputMessage or 30 more`1674- `item: EasyInputMessage or Message { content, role, status, type } or ResponseOutputMessage or 30 more`

1175 1675 

1176 An input item to append to the Responses backend conversation, such as a user message or a function tool result.1676 An input item to append to the Responses backend conversation, such as a user message or a function tool result.

1177 1677 


1390 1890 

1391 A text output from the model.1891 A text output from the model.

1392 1892 

1393 - `annotations: array of object { file_id, filename, index, type } or object { end_index, start_index, title, 2 more } or object { container_id, end_index, file_id, 3 more } or object { file_id, index, type }`1893 - `annotations: array of FileCitation { file_id, filename, index, type } or URLCitation { end_index, start_index, title, 2 more } or ContainerFileCitation { container_id, end_index, file_id, 3 more } or FilePath { file_id, index, type }`

1394 1894 

1395 The annotations of the text output.1895 The annotations of the text output.

1396 1896 


2005 2505 

2006 - `"web_search_call"`2506 - `"web_search_call"`

2007 2507 

2008 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`2508 - `action: optional Search { type, queries, query, sources } or OpenPage { type, url } or FindInPage { pattern, type, url }`

2009 2509 

2010 An object describing the specific action taken in this web search call.2510 An object describing the specific action taken in this web search call.

2011 Includes details on how the model used the web (search, open_page, find_in_page).2511 Includes details on how the model used the web (search, open_page, find_in_page).


2105 2605 

2106 Whether the function tool call runs asynchronously.2606 Whether the function tool call runs asynchronously.

2107 2607 

2108 - `caller: optional object { type } or object { caller_id, type } or null`2608 - `caller: optional Direct { type } or Program { caller_id, type } or null`

2109 2609 

2110 The execution context that produced this tool call.2610 The execution context that produced this tool call.

2111 2611 


2272 2772 

2273 The unique ID of the function tool call generated by the model.2773 The unique ID of the function tool call generated by the model.

2274 2774 

2275 - `caller: optional object { type } or object { caller_id, type } or null`2775 - `caller: optional Direct { type } or Program { caller_id, type } or null`

2276 2776 

2277 The execution context that produced this tool call.2777 The execution context that produced this tool call.

2278 2778 


2354 2854 

2355 - `ToolSearchOutput object { tools, type, id, 3 more }`2855 - `ToolSearchOutput object { tools, type, id, 3 more }`

2356 2856 

2357 - `tools: array of object { name, parameters, strict, 6 more } or object { type, vector_store_ids, filters, 2 more } or object { type } or 13 more`2857 - `tools: array of Function { name, parameters, strict, 6 more } or FileSearch { type, vector_store_ids, filters, 2 more } or Computer { type } or 13 more`

2358 2858 

2359 The loaded tool definitions returned by the tool search output.2859 The loaded tool definitions returned by the tool search output.

2360 2860 


2660 3160 

2661 - `"programmatic"`3161 - `"programmatic"`

2662 3162 

2663 - `allowed_tools: optional array of string or object { read_only, tool_names } or null`3163 - `allowed_tools: optional array of string or McpToolFilter { read_only, tool_names } or null`

2664 3164 

2665 List of allowed tool names or a filter object.3165 List of allowed tool names or a filter object.

2666 3166 


2734 Optional HTTP headers to send to the MCP server. Use for authentication3234 Optional HTTP headers to send to the MCP server. Use for authentication

2735 or other purposes.3235 or other purposes.

2736 3236 

2737 - `require_approval: optional object { always, never } or "always" or "never" or null`3237 - `require_approval: optional McpToolApprovalFilter { always, never } or "always" or "never" or null`

2738 3238 

2739 Specify which of the MCP server's tools require approval.3239 Specify which of the MCP server's tools require approval.

2740 3240 


2800 3300 

2801 A tool that runs Python code to help generate a response to a prompt.3301 A tool that runs Python code to help generate a response to a prompt.

[...]
